package com.bocloud.cmp.provider.azure.slb;

import com.bocloud.cmp.model.azure.slb.OutboundRuleModel;
import com.bocloud.cmp.model.azure.slb.SlbModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: OutboundRuleProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/5/15 15:22
 */
public interface OutboundRuleProvider extends SuperProvider {

    default BocloudResult list(SlbModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(OutboundRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(OutboundRuleModel model) {
        return new BocloudResult(false, "need implement");
    }


}